/* strdup.c -- version of strdup for systems without one */
/* Copyright (C) 1999 Mark Simpson <damned@world.std.com> */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif /* HAVE_CONFIG_H */
#ifndef HAVE_STRDUP
#include <assert.h>
#include <stdio.h>
#include <stdlib.h>
char *
strdup (const char *str)
{
    int len = strlen(str);
    char *out = malloc ((len + 1) * sizeof (char));
    assert (out);
    if (!out) abort();
    memmove (out, str, len);
    return out;
}
#endif /* HAVE_STRDUP */
